
.. _data_ranges:

Data Ranges
-----------

.. currentmodule:: chaco.api

:class:`AbstractDataRange`
==========================
.. autoclass:: AbstractDataRange
    :members:
    :show-inheritance:

:class:`BaseDataRange`
======================
.. autoclass:: BaseDataRange
    :members:
    :show-inheritance:

:class:`DataRange1D`
====================
.. autoclass:: DataRange1D
    :members:
    :show-inheritance:

:class:`DataRange2D`
====================
.. autoclass:: DataRange2D
    :members:
    :show-inheritance:
